WikiNG - Bug #2256

Various problem using trunk on Redmine 2.3.3
15 Oct 2013 14:10 - Martin Corino

Status: Closed Start date: 15 Oct 2013
Priority: Major Due date: 19 Oct 2013
Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.0.0b

Redmine version: 233 External issue:

Description

| tried the trunk version on a new Redmine 2.3.3 installation and ran into the following problems:

1. the WikiMacro.register_all! call at the end of init.rb causes an exception when trying to run rake redmine:plugins:migrate when
the new wiki_macros migration has not been run before (and therefor the table for the model does not exist yet)

2. the missing support for the (new?) text argument for wiki macros caused the macro replacement code to crash

3. the exec_macro_with_custom hook in wiking_macros_definitions_patch.rb does not get triggered when a WikiNG custom macro
has not been loaded yet (since | removed WikiMacro.register_all! to prevent the problems with the migration) because the wiki
formatting code calls Redmine::WikiFormatting::Macros::Definitions#macro_exists? before calling exec_macro.

| created a patch that solved all my problems which you can find attached.
The patch does not take different Redmine version into account.

History

#1 - 15 Oct 2013 15:20 - Andriy Lesyuk

Thank you very much, Martin! In fact, the SVN version is not intended to be functioning yet!.. It's the version in progress. Anyway your findings will
definitely help me! Thanks!

P.S. For a stable WikiNG use the file: wiking_0.0.4.tar.bz2.

#2 - 15 Oct 2013 15:21 - Andriy Lesyuk
- Status changed from New to Open
- Assignee set to Andriy Lesyuk

- Target version set to 1.0.0b

#3 - 15 Oct 2013 16:43 - Martin Corino
Andriy Lesyuk wrote:

Thank you very much, Martin! In fact, the SVN version is not intended to be functioning yet!.. It's the version in progress. Anyway your findings
will definitely help me! Thanks!

P.S. For a stable WikiNG use the file: wiking_0.0.4.tar.bz2.

Yes, | was aware of that, but | was very interested to see the custom macro functionality so | just decided to give it a try. For me it works good
enough for now.
| have your repository cloned in Git so | can easily merge your changes as they come.
http://projects.andriylesyuk.com/users/1033
http://projects.andriylesyuk.com/attachments/download/482
http://projects.andriylesyuk.com/users/1033
http://projects.andriylesyuk.com/attachments/download/482

#4 - 19 Oct 2013 23:51 - Andriy Lesyuk
- Due date set to 19 Oct 2013

- Status changed from Open to Closed

- % Done changed from 0 to 100

Your fixes helped, Martin. Thank you, again!

Files

patch.diff 2.98 KB
